PLplot: plcore.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Enumerations | Functions | Variables
plcore.c File Reference
`#include "plcore.h"`
`#include <errno.h>`

Go to the source code of this file.

## Macros
#define | DEBUG
#define | NEED_PLDEBUG
#define | dirent direct
#define | NAMLEN(dirent) ( dirent )->d_namlen
#define | BUFFER_SIZE 80
#define | BUFFER2_SIZE 300
#define | DRVSPEC_SIZE 400
#define | N_TextLookupTable 10

## Enumerations
enum | { AT_BOP, DRAWING, AT_EOP }

## Functions
int | text2num (const char *text, char end, PLUNICODE *num)
int | text2fci (const char *text, unsigned char *hexdigit, unsigned char *hexpower)
void | plP_init (void)
void | plP_eop (void)
void | plP_bop (void)
void | plP_tidy (void)
void | plP_state (PLINT op)
void | plP_esc (PLINT op, void *ptr)
void | plP_swin (PLWindow *plwin)
void | plP_line (short *x, short *y)
void | plP_polyline (short *x, short *y, PLINT npts)
void | plP_fill (short *x, short *y, PLINT npts)
void | plP_gradient (short *x, short *y, PLINT npts)
void | plP_text (PLINT base, PLFLT just, PLFLT *xform, PLINT x, PLINT y, PLINT refx, PLINT refy, const char *string)
static const char * | utf8_to_ucs4 (const char *ptr, PLUNICODE *unichar)
int | ucs4_to_utf8 (PLUNICODE unichar, char *ptr)
static void | grline (short *x, short *y, PLINT PL_UNUSED(npts))
static void | grpolyline (short *x, short *y, PLINT npts)
static void | grfill (short *x, short *y, PLINT npts)
static void | grgradient (short *x, short *y, PLINT npts)
void | difilt (PLINT *xsc, PLINT *ysc, PLINT npts, PLINT *clpxmi, PLINT *clpxma, PLINT *clpymi, PLINT *clpyma)
void | difilt_clip (PLINT *x_coords, PLINT *y_coords)
static void | setdef_diplt (void)
static void | setdef_didev (void)
static void | setdef_diori (void)
static void | pldi_ini (void)
void | pldid2pc (PLFLT *xmin, PLFLT *ymin, PLFLT *xmax, PLFLT *ymax)
void | pldip2dc (PLFLT *xmin, PLFLT *ymin, PLFLT *xmax, PLFLT *ymax)
void | c_plsdiplt (PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
void | c_plsdiplz (PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
static void | calc_diplt (void)
void | c_plgdiplt (PLFLT *p_xmin, PLFLT *p_ymin, PLFLT *p_xmax, PLFLT *p_ymax)
void | c_plsdidev (PLFLT mar, PLFLT aspect, PLFLT jx, PLFLT jy)
static void | calc_didev (void)
void | c_plgdidev (PLFLT *p_mar, PLFLT *p_aspect, PLFLT *p_jx, PLFLT *p_jy)
void | c_plsdiori (PLFLT rot)
static void | calc_diori (void)
void | c_plgdiori (PLFLT *p_rot)
void | c_plsdimap (PLINT dimxmin, PLINT dimxmax, PLINT dimymin, PLINT dimymax, PLFLT dimxpmm, PLFLT dimypmm)
static void | calc_dimap ()
void | c_plflush (void)
void | pllib_init ()
void | c_plstar (PLINT nx, PLINT ny)
void | c_plstart (const char *devname, PLINT nx, PLINT ny)
void | c_plinit (void)
void | c_plend (void)
void | c_plend1 (void)
void | c_plsstrm (PLINT strm)
void | c_plgstrm (PLINT *p_strm)
void | c_plmkstrm (PLINT *p_strm)
void | plstrm_init (void)
void | pl_cpcolor (PLColor *to, PLColor *from)
void | c_plcpstrm (PLINT iplsr, PLINT flags)
void | pllib_devinit ()
PLDLLIMPEXP int | plInBuildTree ()
static int | plDispatchSequencer (const void *p1, const void *p2)
static void | plInitDispatchTable ()
static void | plSelectDev ()
static void | plLoadDriver (void)
void | c_plfontld (PLINT ifont)
void | c_plreplot (void)
void | plgFileDevs (const char ***p_menustr, const char ***p_devname, int *p_ndev)
void | plgDevs (const char ***p_menustr, const char ***p_devname, int *p_ndev)
static void | plgdevlst (const char **p_menustr, const char **p_devname, int *p_ndev, int type)
void | c_plgpage (PLFLT *p_xp, PLFLT *p_yp, PLINT *p_xleng, PLINT *p_yleng, PLINT *p_xoff, PLINT *p_yoff)
void | c_plspage (PLFLT xp, PLFLT yp, PLINT xleng, PLINT yleng, PLINT xoff, PLINT yoff)
void | c_plssub (PLINT nx, PLINT ny)
void | c_plsdev (const char *devname)
void | c_plgdev (char *p_dev)
void | c_plsmem (PLINT maxx, PLINT maxy, void *plotmem)
void | c_plsmema (PLINT maxx, PLINT maxy, void *plotmem)
void | plgpls (PLStream **p_pls)
void | c_plglevel (PLINT *p_level)
void | plsKeyEH (void(*KeyEH)(PLGraphicsIn *, void *, int *), void *KeyEH_data)
void | plsButtonEH (void(*ButtonEH)(PLGraphicsIn *, void *, int *), void *ButtonEH_data)
void | plsbopH (void(*handler)(void *, int *), void *handler_data)
void | plseopH (void(*handler)(void *, int *), void *handler_data)
void | plsError (PLINT *errcode, char *errmsg)
void | c_plsori (PLINT ori)
void | c_plwidth (PLFLT width)
void | plgfile (FILE **p_file)
void | plsfile (FILE *file)
void | c_plgfnam (char *fnam)
void | c_plsfnam (const char *fnam)
void | c_plspause (PLINT p)
void | c_plprec (PLINT setp, PLINT prec)
void | plP_gprec (PLINT *p_setp, PLINT *p_prec)
const char * | plP_gtimefmt ()
void | c_plsesc (char esc)
void | plgesc (char *p_esc)
void | c_plsfci (PLUNICODE fci)
void | c_plgfci (PLUNICODE *p_fci)
void | plP_hex2fci (unsigned char hexdigit, unsigned char hexpower, PLUNICODE *pfci)
void | plP_fci2hex (PLUNICODE fci, unsigned char *phexdigit, unsigned char hexpower)
void | c_plgver (char *p_ver)
void | plsxwin (PLINT window_id)
void | c_plgfam (PLINT *p_fam, PLINT *p_num, PLINT *p_bmax)
void | c_plsfam (PLINT fam, PLINT num, PLINT bmax)
void | c_plfamadv (void)
void | c_plgxax (PLINT *p_digmax, PLINT *p_digits)
void | c_plsxax (PLINT digmax, PLINT digits)
void | c_plgyax (PLINT *p_digmax, PLINT *p_digits)
void | c_plsyax (PLINT digmax, PLINT digits)
void | c_plgzax (PLINT *p_digmax, PLINT *p_digits)
void | c_plszax (PLINT digmax, PLINT digits)
void | c_plgchr (PLFLT *p_def, PLFLT *p_ht)
void | c_plgvpd (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | c_plgvpw (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plP_xgvpw (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plP_gdom (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plP_grange (PLFLT *p_zscl, PLFLT *p_zmin, PLFLT *p_zmax)
void | plP_gw3wc (PLFLT *p_dxx, PLFLT *p_dxy, PLFLT *p_dyx, PLFLT *p_dyy, PLFLT *p_dyz)
void | plP_gclp (PLINT *p_ixmin, PLINT *p_ixmax, PLINT *p_iymin, PLINT *p_iymax)
void | plP_sclp (PLINT ixmin, PLINT ixmax, PLINT iymin, PLINT iymax)
void | plP_gphy (PLINT *p_ixmin, PLINT *p_ixmax, PLINT *p_iymin, PLINT *p_iymax)
void | plP_gsub (PLINT *p_nx, PLINT *p_ny, PLINT *p_cs)
void | plP_ssub (PLINT nx, PLINT ny, PLINT cs)
void | plP_gpixmm (PLFLT *p_x, PLFLT *p_y)
void | plP_setpxl (PLFLT xpmm, PLFLT ypmm)
void | plP_setphy (PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax)
void | c_plscompression (PLINT compression)
void | c_plgcompression (PLINT *compression)
void | plP_getinitdriverlist (char *names)
PLINT | plP_checkdriverinit (char *names)
void | plP_image (PLFLT *z, PLINT nx, PLINT ny, PLFLT xmin, PLFLT ymin, PLFLT dx, PLFLT dy, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | c_plstransform (void(*coordinate_transform)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer coordinate_transform_data)

## Variables
const char | plP_greek_mnemonic [] = "ABGDEZYHIKLMNCOPRSTUFXQWabgdezyhiklmncoprstufxqw"
static int | foo
static PLUNICODE | unicode_buffer [1024]

## Macro Definition Documentation

#define BUFFER2_SIZE 300

Definition at line 87 of file plcore.c.

#define BUFFER_SIZE 80

Definition at line 86 of file plcore.c.

#define DEBUG

Definition at line 35 of file plcore.c.

#define dirent direct

Definition at line 60 of file plcore.c.

#define DRVSPEC_SIZE 400

Definition at line 88 of file plcore.c.

#define N_TextLookupTable 10

#define NAMLEN | ( |  | dirent | ) | ( dirent )->d_namlen

Definition at line 61 of file plcore.c.

#define NEED_PLDEBUG

Definition at line 36 of file plcore.c.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  AT_BOP |
  DRAWING |
  AT_EOP |

Definition at line 127 of file plcore.c.

## Function Documentation

void c_plcpstrm | ( | PLINT | iplsr,
|  | PLINT | flags
| ) |  |

Definition at line 2659 of file plcore.c.

void c_plend | ( | void |  | ) |

Definition at line 2388 of file plcore.c.

void c_plend1 | ( | void |  | ) |

Definition at line 2446 of file plcore.c.

void c_plfamadv | ( | void |  | ) |

Definition at line 3874 of file plcore.c.

void c_plflush | ( | void |  | ) |

Definition at line 2130 of file plcore.c.

void c_plfontld | ( | PLINT | ifont | ) |

Definition at line 3351 of file plcore.c.

void c_plgchr | ( | PLFLT * | p_def,
|  | PLFLT * | p_ht
| ) |  |

Definition at line 3941 of file plcore.c.

void c_plgcompression | ( | PLINT * | compression | ) |

Definition at line 4136 of file plcore.c.

void c_plgdev | ( | char * | p_dev | ) |

Definition at line 3525 of file plcore.c.

void c_plgdidev | ( | PLFLT * | p_mar,
|  | PLFLT * | p_aspect,
|  | PLFLT * | p_jx,
|  | PLFLT * | p_jy
| ) |  |

Definition at line 1907 of file plcore.c.

void c_plgdiori | ( | PLFLT * | p_rot | ) |

Definition at line 2045 of file plcore.c.

void c_plgdiplt | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 1772 of file plcore.c.

void c_plgfam | ( | PLINT * | p_fam,
|  | PLINT * | p_num,
|  | PLINT * | p_bmax
| ) |  |

Definition at line 3848 of file plcore.c.

void c_plgfci | ( | PLUNICODE * | p_fci | ) |

Definition at line 3789 of file plcore.c.

void c_plgfnam | ( | char * | fnam | ) |

Definition at line 3678 of file plcore.c.

void c_plglevel | ( | PLINT * | p_level | ) |

Definition at line 3574 of file plcore.c.

void c_plgpage | ( | PLFLT * | p_xp,
|  | PLFLT * | p_yp,
|  | PLINT * | p_xleng,
|  | PLINT * | p_yleng,
|  | PLINT * | p_xoff,
|  | PLINT * | p_yoff
| ) |  |

Definition at line 3447 of file plcore.c.

void c_plgstrm | ( | PLINT * | p_strm | ) |

Definition at line 2550 of file plcore.c.

void c_plgver | ( | char * | p_ver | ) |

Definition at line 3823 of file plcore.c.

void c_plgvpd | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 3950 of file plcore.c.

void c_plgvpw | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 3961 of file plcore.c.

void c_plgxax | ( | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 3887 of file plcore.c.

void c_plgyax | ( | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 3905 of file plcore.c.

void c_plgzax | ( | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 3923 of file plcore.c.

void c_plinit | ( | void |  | ) |

Definition at line 2225 of file plcore.c.

void c_plmkstrm | ( | PLINT * | p_strm | ) |

Definition at line 2569 of file plcore.c.

void c_plprec | ( | PLINT | setp,
|  | PLINT | prec
| ) |  |

Definition at line 3713 of file plcore.c.

void c_plreplot | ( | void |  | ) |

Definition at line 3369 of file plcore.c.

void c_plscompression | ( | PLINT | compression | ) |

Definition at line 4121 of file plcore.c.

void c_plsdev | ( | const char * | devname | ) |

Definition at line 3507 of file plcore.c.

void c_plsdidev | ( | PLFLT | mar,
|  | PLFLT | aspect,
|  | PLFLT | jx,
|  | PLFLT | jy
| ) |  |

Definition at line 1792 of file plcore.c.

void c_plsdimap | ( | PLINT | dimxmin,
|  | PLINT | dimxmax,
|  | PLINT | dimymin,
|  | PLINT | dimymax,
|  | PLFLT | dimxpmm,
|  | PLFLT | dimypmm
| ) |  |

Definition at line 2060 of file plcore.c.

void c_plsdiori | ( | PLFLT | rot | ) |

Definition at line 1922 of file plcore.c.

void c_plsdiplt | ( | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | xmax,
|  | PLFLT | ymax
| ) |  |

Definition at line 1682 of file plcore.c.

void c_plsdiplz | ( | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | xmax,
|  | PLFLT | ymax
| ) |  |

Definition at line 1706 of file plcore.c.

void c_plsesc | ( | char | esc | ) |

Definition at line 3743 of file plcore.c.

void c_plsfam | ( | PLINT | fam,
|  | PLINT | num,
|  | PLINT | bmax
| ) |  |

Definition at line 3858 of file plcore.c.

void c_plsfci | ( | PLUNICODE | fci | ) |

Definition at line 3779 of file plcore.c.

void c_plsfnam | ( | const char * | fnam | ) |

Definition at line 3697 of file plcore.c.

void c_plsmem | ( | PLINT | maxx,
|  | PLINT | maxy,
|  | void * | plotmem
| ) |  |

Definition at line 3540 of file plcore.c.

void c_plsmema | ( | PLINT | maxx,
|  | PLINT | maxy,
|  | void * | plotmem
| ) |  |

Definition at line 3550 of file plcore.c.

void c_plsori | ( | PLINT | ori | ) |

Definition at line 3632 of file plcore.c.

void c_plspage | ( | PLFLT | xp,
|  | PLFLT | yp,
|  | PLINT | xleng,
|  | PLINT | yleng,
|  | PLINT | xoff,
|  | PLINT | yoff
| ) |  |

Definition at line 3461 of file plcore.c.

void c_plspause | ( | PLINT | p | ) |

Definition at line 3705 of file plcore.c.

void c_plsstrm | ( | PLINT | strm | ) |

Definition at line 2519 of file plcore.c.

void c_plssub | ( | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 3487 of file plcore.c.

void c_plstar | ( | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 2186 of file plcore.c.

void c_plstart | ( | const char * | devname,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 2205 of file plcore.c.

void c_plstransform | ( | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | coordinate_transform,
|  | PLPointer | coordinate_transform_data
| ) |  |

Definition at line 4324 of file plcore.c.

void c_plsxax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 3896 of file plcore.c.

void c_plsyax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 3914 of file plcore.c.

void c_plszax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 3932 of file plcore.c.

void c_plwidth | ( | PLFLT | width | ) |

Definition at line 3644 of file plcore.c.

static void calc_didev | ( | void |  | ) |
| static

Definition at line 1818 of file plcore.c.

static void calc_dimap | ( | void |  | ) |
| static

Definition at line 2084 of file plcore.c.

static void calc_diori | ( | void |  | ) |
| static

Definition at line 1944 of file plcore.c.

static void calc_diplt | ( | void |  | ) |
| static

Definition at line 1731 of file plcore.c.

void difilt | ( | PLINT * | xsc,
|  | PLINT * | ysc,
|  | PLINT | npts,
|  | PLINT * | clpxmi,
|  | PLINT * | clpxma,
|  | PLINT * | clpymi,
|  | PLINT * | clpyma
| ) |  |

Definition at line 1362 of file plcore.c.

void difilt_clip | ( | PLINT * | x_coords,
|  | PLINT * | y_coords
| ) |  |

Definition at line 1505 of file plcore.c.

static void grfill | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 1308 of file plcore.c.

static void grgradient | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 1325 of file plcore.c.

static void grline | ( | short * | x,
|  | short * | y,
|  | PLINT | PL_UNUSEDnpts
| ) |  |
| static

Definition at line 1284 of file plcore.c.

static void grpolyline | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |
| static

Definition at line 1296 of file plcore.c.

void pl_cpcolor | ( | PLColor * | to,
|  | PLColor * | from
| ) |  |

Definition at line 2636 of file plcore.c.

static void pldi_ini | ( | void |  | ) |
| static

Definition at line 1557 of file plcore.c.

void pldid2pc | ( | PLFLT * | xmin,
|  | PLFLT * | ymin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymax
| ) |  |

Definition at line 1591 of file plcore.c.

void pldip2dc | ( | PLFLT * | xmin,
|  | PLFLT * | ymin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymax
| ) |  |

Definition at line 1637 of file plcore.c.

static int plDispatchSequencer | ( | const void * | p1,
|  | const void * | p2
| ) |  |
| static

Definition at line 2875 of file plcore.c.

static void plgdevlst | ( | const char ** | p_menustr,
|  | const char ** | p_devname,
|  | int * | p_ndev,
|  | int | type
| ) |  |
| static

Definition at line 3416 of file plcore.c.

void plgDevs | ( | const char *** | p_menustr,
|  | const char *** | p_devname,
|  | int * | p_ndev
| ) |  |

Definition at line 3410 of file plcore.c.

void plgesc | ( | char * | p_esc | ) |

Definition at line 3767 of file plcore.c.

void plgfile | ( | FILE ** | p_file | ) |

Definition at line 3661 of file plcore.c.

void plgFileDevs | ( | const char *** | p_menustr,
|  | const char *** | p_devname,
|  | int * | p_ndev
| ) |  |

Definition at line 3398 of file plcore.c.

void plgpls | ( | PLStream ** | p_pls | ) |

Definition at line 3560 of file plcore.c.

PLDLLIMPEXP int plInBuildTree | ( | void |  | ) |

Definition at line 2791 of file plcore.c.

static void plInitDispatchTable | ( | void |  | ) |
| static

Definition at line 2887 of file plcore.c.

void pllib_devinit | ( | void |  | ) |

Definition at line 2777 of file plcore.c.

void pllib_init | ( | void |  | ) |

Definition at line 2162 of file plcore.c.

static void plLoadDriver | ( | void |  | ) |
| static

Definition at line 3241 of file plcore.c.

void plP_bop | ( | void |  | ) |

Definition at line 192 of file plcore.c.

PLINT plP_checkdriverinit | ( | char * | names | ) |

Definition at line 4183 of file plcore.c.

void plP_eop | ( | void |  | ) |

Definition at line 158 of file plcore.c.

void plP_esc | ( | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 270 of file plcore.c.

void plP_fci2hex | ( | PLUNICODE | fci,
|  | unsigned char * | phexdigit,
|  | unsigned char | hexpower
| ) |  |

Definition at line 3811 of file plcore.c.

void plP_fill | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 428 of file plcore.c.

void plP_gclp | ( | PLINT * | p_ixmin,
|  | PLINT * | p_ixmax,
|  | PLINT * | p_iymin,
|  | PLINT * | p_iymax
| ) |  |

Definition at line 4027 of file plcore.c.

void plP_gdom | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 3994 of file plcore.c.

void plP_getinitdriverlist | ( | char * | names | ) |

Definition at line 4153 of file plcore.c.

void plP_gphy | ( | PLINT * | p_ixmin,
|  | PLINT * | p_ixmax,
|  | PLINT * | p_iymin,
|  | PLINT * | p_iymax
| ) |  |

Definition at line 4049 of file plcore.c.

void plP_gpixmm | ( | PLFLT * | p_x,
|  | PLFLT * | p_y
| ) |  |

Definition at line 4080 of file plcore.c.

void plP_gprec | ( | PLINT * | p_setp,
|  | PLINT * | p_prec
| ) |  |

Definition at line 3722 of file plcore.c.

void plP_gradient | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 493 of file plcore.c.

void plP_grange | ( | PLFLT * | p_zscl,
|  | PLFLT * | p_zmin,
|  | PLFLT * | p_zmax
| ) |  |

Definition at line 4005 of file plcore.c.

void plP_gsub | ( | PLINT * | p_nx,
|  | PLINT * | p_ny,
|  | PLINT * | p_cs
| ) |  |

Definition at line 4060 of file plcore.c.

const char* plP_gtimefmt | ( | void |  | ) |

Definition at line 3729 of file plcore.c.

void plP_gw3wc | ( | PLFLT * | p_dxx,
|  | PLFLT * | p_dxy,
|  | PLFLT * | p_dyx,
|  | PLFLT * | p_dyy,
|  | PLFLT * | p_dyz
| ) |  |

Definition at line 4015 of file plcore.c.

void plP_hex2fci | ( | unsigned char | hexdigit,
|  | unsigned char | hexpower,
|  | PLUNICODE * | pfci
| ) |  |

Definition at line 3798 of file plcore.c.

void plP_image | ( | PLFLT * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 4226 of file plcore.c.

void plP_init | ( | void |  | ) |

Definition at line 139 of file plcore.c.

void plP_line | ( | short * | x,
|  | short * | y
| ) |  |

Definition at line 365 of file plcore.c.

void plP_polyline | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 394 of file plcore.c.

void plP_sclp | ( | PLINT | ixmin,
|  | PLINT | ixmax,
|  | PLINT | iymin,
|  | PLINT | iymax
| ) |  |

Definition at line 4038 of file plcore.c.

void plP_setphy | ( | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax
| ) |  |

Definition at line 4100 of file plcore.c.

void plP_setpxl | ( | PLFLT | xpmm,
|  | PLFLT | ypmm
| ) |  |

Definition at line 4089 of file plcore.c.

void plP_ssub | ( | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | cs
| ) |  |

Definition at line 4070 of file plcore.c.

void plP_state | ( | PLINT | op | ) |

Definition at line 253 of file plcore.c.

void plP_swin | ( | PLWindow * | plwin | ) |

Definition at line 305 of file plcore.c.

void plP_text | ( | PLINT | base,
|  | PLFLT | just,
|  | PLFLT * | xform,
|  | PLINT | x,
|  | PLINT | y,
|  | PLINT | refx,
|  | PLINT | refy,
|  | const char * | string
| ) |  |

Definition at line 621 of file plcore.c.

void plP_tidy | ( | void |  | ) |

Definition at line 225 of file plcore.c.

void plP_xgvpw | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 3971 of file plcore.c.

void plsbopH | ( | void(*)(void *, int *) | handler,
|  | void * | handler_data
| ) |  |

Definition at line 3602 of file plcore.c.

void plsButtonEH | ( | void(*)(PLGraphicsIn *, void *, int *) | ButtonEH,
|  | void * | ButtonEH_data
| ) |  |

Definition at line 3592 of file plcore.c.

static void plSelectDev | ( | void |  | ) |
| static

Definition at line 3132 of file plcore.c.

void plseopH | ( | void(*)(void *, int *) | handler,
|  | void * | handler_data
| ) |  |

Definition at line 3611 of file plcore.c.

void plsError | ( | PLINT * | errcode,
|  | char * | errmsg
| ) |  |

Definition at line 3620 of file plcore.c.

void plsfile | ( | FILE * | file | ) |

Definition at line 3669 of file plcore.c.

void plsKeyEH | ( | void(*)(PLGraphicsIn *, void *, int *) | KeyEH,
|  | void * | KeyEH_data
| ) |  |

Definition at line 3582 of file plcore.c.

void plstrm_init | ( | void |  | ) |

Definition at line 2609 of file plcore.c.

void plsxwin | ( | PLINT | window_id | ) |

Definition at line 3831 of file plcore.c.

static void setdef_didev | ( | void |  | ) |
| static

Definition at line 1542 of file plcore.c.

static void setdef_diori | ( | void |  | ) |
| static

Definition at line 1551 of file plcore.c.

static void setdef_diplt | ( | void |  | ) |
| static

Definition at line 1533 of file plcore.c.

int text2fci | ( | const char * | text,
|  | unsigned char * | hexdigit,
|  | unsigned char * | hexpower
| ) |  |

Definition at line 577 of file plcore.c.

int text2num | ( | const char * | text,
|  | char | end,
|  | PLUNICODE * | num
| ) |  |

Definition at line 543 of file plcore.c.

int ucs4_to_utf8 | ( | PLUNICODE | unichar,
|  | char * | ptr
| ) |  |

Definition at line 1231 of file plcore.c.

static const char* utf8_to_ucs4 | ( | const char * | ptr,
|  | PLUNICODE * | unichar
| ) |  |
| static

Definition at line 1162 of file plcore.c.

## Variable Documentation

int foo
| static

Definition at line 425 of file plcore.c.

const char plP_greek_mnemonic[] = "ABGDEZYHIKLMNCOPRSTUFXQWabgdezyhiklmncoprstufxqw"

Definition at line 136 of file plcore.c.

PLUNICODE unicode_buffer[1024]
| static

Definition at line 618 of file plcore.c.